# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /Users/paddle/CondaBuild/Paddle/paddle/scripts/paddle, last modified Wed Jan 22 10:58:19 2025
# ------------------------------------------------

package:
  name: paddlepaddle
  version: 3.0.0rc1
build:
  number: '0'
  string: py39_mac
requirements:
  build:
    - bzip2 1.0.8 h99b78c6_7
    - ca-certificates 2024.12.14 hf0a4a13_0
    - cython 3.0.11 py39h20637d4_3
    - libblas 3.9.0 26_osxarm64_openblas
    - libcblas 3.9.0 26_osxarm64_openblas
    - libcxx 19.1.7 ha82da77_0
    - libffi 3.4.2 h3422bc3_5
    - libgfortran 5.0.0 13_2_0_hd922786_3
    - libgfortran5 13.2.0 hf226fd6_3
    - liblapack 3.9.0 26_osxarm64_openblas
    - liblzma 5.6.3 h39f12f2_1
    - libopenblas 0.3.28 openmp_hf332438_1
    - libsqlite 3.48.0 h3f77e49_0
    - libzlib 1.3.1 h8359307_2
    - llvm-openmp 19.1.7 hdb05f8b_0
    - ncurses 6.5 h5e97a16_2
    - numpy 2.0.2 py39h3ba1154_1
    - openssl 3.4.0 h81ee809_1
    - pip 24.3.1 pyh8b19718_2
    - python 3.9.21 h5f1b60f_1_cpython
    - python_abi 3.9 5_cp39
    - readline 8.2 h92ec313_1
    - setuptools 75.8.0 pyhff2d567_0
    - tk 8.6.13 h5083fa2_1
    - tzdata 2025a h78e105d_0
    - wheel 0.45.1 pyhd8ed1ab_1
  run:
    - Pillow
    - astor
    - decorator
    - httpx
    - networkx
    - numpy>=1.13
    - opt_einsum==3.3.0
    - protobuf>=3.20.2
    - python>=3.9, <3.10
    - typing_extensions
test:
  import: paddle
about:
  home: http://www.paddlepaddle.org/
  license: APACHE 2.0
  license_family: APACHE
  summary: an easy-to-use, efficient, flexible and scalable deep learning platform
extra:
  copy_test_source_files: true
  final: true
